#include <QtGui>

#include "droparea.h"

DropArea::DropArea(QWidget* parent)
    : QLabel(parent)
{
    setMinimumSize(350, 150);
    setFrameStyle(QFrame::Sunken | QFrame::StyledPanel);
    setAlignment(Qt::AlignCenter);
    setAcceptDrops(true);
    setAutoFillBackground(true);
}

void DropArea::dragEnterEvent(QDragEnterEvent* event)
{
//    const QMimeData* mimeData = event->mimeData();
    const QMimeData* mimeData = QApplication::clipboard()->mimeData();

    if (mimeData->hasImage())
    {
	setText("QMimeData::hasImage() returns true");
    }
    else
    {
	setText("QMimeData::hasImage() returns false");
    }

    event->acceptProposedAction();
}
